package contract_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ContractQueryPositionmetricsRequest struct {
	// <ext>core:true;format:string;deprecated:false</ext> 【第三方业务系统文件id】第三方业务系统文件id 【作用】 指定需查询操作权限的电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	BizId string `json:"bizId,omitempty"`
	// <ext>core:true;format:string;deprecated:false</ext> 【电子签约文件id】电子签约文件id 【作用】 指定需查询操作权限的电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	Id string `json:"id,omitempty"`
}

func (obj ContractQueryPositionmetricsRequest) GetUrl() string {
	return "/contract/query/PositionMetrics"
}

func (obj ContractQueryPositionmetricsRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("bizId", obj.BizId)
	parameter.AddParam("id", obj.Id)
	return parameter
}
